Bug 16169 - TransformMarcToKoha should not take $dbh in parameters
Summary: TransformMarcToKoha should not take $dbh in parameters
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 16168
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-30 11:01 UTC by Jonathan Druart
Modified: 2016-12-05 21:27 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16169: Change prototype for C4::Biblio::TransformMarcToKoha (16.04 KB, patch)
2016-03-30 11:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16169: Change prototype for C4::Biblio::TransformMarcToKoha (16.15 KB, patch)
2016-03-30 13:24 UTC, Jacek Ablewicz
Details | Diff | Splinter Review
[PASSED QA] Bug 16169: Change prototype for C4::Biblio::TransformMarcToKoha (16.16 KB, patch)
2016-04-03 20:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-03-30 11:01:57 UTC
... especially because it does not use it.
Comment 1 Jonathan Druart 2016-03-30 11:03:50 UTC Comment hidden (obsolete)
Comment 2 Jacek Ablewicz 2016-03-30 13:24:02 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-04-03 20:29:55 UTC
Created attachment 49829 [details] [review]
[PASSED QA] Bug 16169: Change prototype for C4::Biblio::TransformMarcToKoha

subroutines should not take $dbh in parameter.
C4::Biblio::TransformMarcToKoha has it and does not use it.

Test plan:
Look at the patch and confirm that all occurrences of
TransformMarcToKoha have been modified.

Signed-off-by: Jacek Ablewicz <abl@biblos.pk.edu.pl>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-04-07 00:05:14 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!